%global srcname copr-common


%global with_python3 1
%global __python %_bindir/python3

Name:       python-copr-common
Version:    0.21
Release:    1%{?dist}
Summary:    Python code used by Copr

License:    GPL-2.0-or-later
URL:        https://github.com/fedora-copr/copr

Source0:    %name-%version.tar.gz

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pytest
BuildRequires: python3-requests
BuildRequires: python3-six

%global _description\
COPR is lightweight build system. It allows you to create new project in WebUI,\
and submit new builds and COPR will create yum repository from latest builds.\
\
This package contains python code used by other Copr packages. Mostly\
useful for developers only.\


%description %_description


%package -n python3-%{srcname}
Summary: %{summary}
%description -n python3-%{srcname} %_description


%prep
%setup -q
grep '"%version"' setup.py


%build
version="%version" %py3_build


%install
version=%version %py3_install


%check
%{__python} -m pytest -vv tests


%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/*


%changelog
* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21-1
- initial build
